/**
 * @file renderScreenshot.ts
 */
import type { ReactNode } from 'react';
export interface Options {
    width?: number;
    height?: number;
    waitUntilCallback?: () => unknown | Promise<unknown>;
    beforeScreenshot?: () => Promise<unknown> | void;
}
/**
 * Render a React component and return its screenshot
 * @param component
 * @param options
 */
declare const renderScreenshot: (component: ReactNode, options?: Options) => Promise<{
    path: string;
    base64: string;
} & string>;
export default renderScreenshot;
