"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
/**
 * @file loadImage.ts
 */

/**
 * Load image and return info
 * @param path
 */
var loadImage = function loadImage(path) {
  return new Promise(function (resolve, reject) {
    var imageEl = new Image();
    imageEl.onload = function () {
      var width = imageEl.width,
        height = imageEl.height;
      var canvas = document.createElement('canvas');
      canvas.width = width;
      canvas.height = height;
      var ctx = canvas.getContext('2d');
      ctx.drawImage(imageEl, 0, 0);
      resolve({
        imageEl: imageEl,
        width: width,
        height: height,
        dataURL: canvas.toDataURL(),
        imageData: ctx.getImageData(0, 0, width, height)
      });
    };
    imageEl.onerror = reject;
    imageEl.src = path;
  });
};
var _default = exports.default = loadImage;